
# Makefile for GNU make

SUBDIRS = \
  buffer_lighting \
  cgfx_boxfilter \
  cgfx_bumpdemo \
  cgfx_bumpdemo_array \
  cgfx_interfaces \
  cgfx_latest \
  cgfx_procfx \
  cgfx_texture_array \
  combine_program \
  custom_state_assignments \
  generic_attribs \
  gs_interp_quad \
  gs_md2render \
  gs_quadnormal \
  gs_shrinky \
  gs_simple \
  include_string \
  interpolation_modifier \
  texture_array \
  vertex_texture \
  $(NULL)

define SPAWN_MAKE
	$(MAKE) -C $(1) -f Makefile $@

endef

.PHONY: all FORCE $(SUBDIRS)

all:
	$(foreach dir,$(SUBDIRS),$(call SPAWN_MAKE,$(dir)))

FORCE:

.DEFAULT:
	$(foreach dir,$(SUBDIRS),$(call SPAWN_MAKE,$(dir)))
